NoSuchUserException (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.sasl.NoSuchUserException,NoSuchUserException class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.sasl
Class NoSuchUserException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--javax.security.sasl.SaslException
                              |
                              +--javax.security.sasl.AuthenticationException
                                    |
                                    +--gnu.crypto.sasl.NoSuchUserException

All Implemented Interfaces:
  java.io.Serializable

public class NoSuchUserException
extends AuthenticationException

A checked exception thrown to indicate that a designated user is unknown to the authentication layer.

See Also:
  Serialized Form

Constructor Summary
`NoSuchUserException()` Constructs a `NoSuchUserException` with no detail message.
`NoSuchUserException(java.lang.String arg)` Constructs a `NoSuchUserException` with the specified detail message.

Methods inherited from class javax.security.sasl.SaslException
`getCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchUserException

    public NoSuchUserException()

  Constructs a `NoSuchUserException` with no detail message.

### NoSuchUserException

    public NoSuchUserException(java.lang.String arg)

  Constructs a `NoSuchUserException` with the specified detail message. In the case of this exception, the detail message designates the offending username.

Parameters:
  `arg` - the detail message, which in this case is the username.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.